Skip to main content
GET
/
v2
/
support-tickets
cURL
curl --request GET \
  --url https://api.example.com/v2/support-tickets/ \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "id": 123,
      "created_by": {
        "id": 123,
        "username": "<string>",
        "email": "jsmith@example.com"
      },
      "status": "OPEN",
      "status_display": "<string>",
      "reason": "INCORRECT_AMOUNT",
      "reason_display": "<string>",
      "resolved_by": {
        "id": 123,
        "username": "<string>",
        "email": "jsmith@example.com"
      },
      "resolved_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "entities": [
        {
          "id": 123,
          "entity_type": "<string>",
          "entity_id": 1073741823
        }
      ],
      "comments": [
        {
          "id": 123,
          "author": {
            "id": 123,
            "username": "<string>",
            "email": "jsmith@example.com"
          },
          "content": "<string>",
          "sequence": 123,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "ticket_type": "DISPUTE",
      "description": "<string>",
      "resolution_note": "<string>"
    }
  ],
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fleetit.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

fleet
integer
limit
integer

Number of results to return per page.

offset
integer

The initial index from which to return the results.

ordering
string

Which field to use when ordering the results.

reason
enum<string>
  • INCORRECT_AMOUNT - Incorrect Amount
  • WRONG_VEHICLE - Wrong Vehicle
  • DUPLICATE_CHARGE - Duplicate Charge
  • NOT_MY_TOLL - Not My Toll
  • ALREADY_PAID - Already Paid
  • OTHER - Other
Available options:
ALREADY_PAID,
DUPLICATE_CHARGE,
INCORRECT_AMOUNT,
NOT_MY_TOLL,
OTHER,
WRONG_VEHICLE

A search term.

status
enum<string>
  • OPEN - Open
  • UNDER_REVIEW - Under Review
  • APPROVED - Approved
  • DENIED - Denied
  • CANCELLED - Cancelled
  • RESOLVED - Resolved
Available options:
APPROVED,
CANCELLED,
DENIED,
OPEN,
RESOLVED,
UNDER_REVIEW

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"